var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var nodeExternals = require('webpack-node-externals');
var makeCommonjs2External = function (pkgName) {
    var _a;
    return (_a = {},
        _a[pkgName] = {
            commonjs2: pkgName,
        },
        _a);
};
exports.makeCommonjs2External = makeCommonjs2External;
var iotBIExternals = function (_a) {
    var _b = (_a === void 0 ? {} : _a).useNodeExternals, useNodeExternals = _b === void 0 ? true : _b;
    return (useNodeExternals ? [nodeExternals()] : []).concat([
        __assign({}, makeCommonjs2External('lodash'), makeCommonjs2External('element-ui'), makeCommonjs2External('echarts'), makeCommonjs2External('vue'), makeCommonjs2External('mathjs'), makeCommonjs2External('mathjs/core'), makeCommonjs2External('@iot-bi/core'), makeCommonjs2External('@iot-bi/component-widget-renderer')),
        function (context, request, callback) {
            if (/^@iot-bi\/core\/lib\/\S+$/.test(request)) {
                return callback(null, 'commonjs2 ' + request);
            }
            if (/^mathjs\/lib\/\S+$/.test(request)) {
                return callback(null, 'commonjs2 ' + request);
            }
            callback();
        },
    ]);
};
exports.iotBIExternals = iotBIExternals;
//# sourceMappingURL=index.js.map