/// <reference types="webpack-dev-server" />
import webpack from 'webpack';
import { GenerateWebpackConfigOptions } from '../webpack.config';
export declare const initCompiler: (options: Modify<GenerateWebpackConfigOptions, {
    configFilePath?: string;
    entryFilePath?: string;
    entry?: any;
    outDir?: string;
}>) => {
    compiler: webpack.Compiler;
    webpackConfig: webpack.Configuration;
    outDir: string;
};
