interface Options {
    contentBase?: string[];
    proxy?: {};
}
declare const _default: ({ contentBase, proxy }?: Options) => {
    compress: boolean;
    clientLogLevel: string;
    quiet: boolean;
    watchOptions: {
        ignored: RegExp;
        aggregateTimeout: number;
    };
    historyApiFallback: {
        disableDotRule: boolean;
    };
    disableHostCheck: boolean;
    contentBase: string[];
    hot: boolean;
    proxy: {};
    before(app: any, server: any): void;
};
/**
 * Webpack dev server config used by wparcel
 * docs can be found here https://webpack.js.org/configuration/dev-server/
 */
export default _default;
